KVS 5.0.1

23 Апрель, 2019

Основная информация по обновлению содержится на форуме: KVS 5.0.1 update.


Обновление в бета режиме означает что данная версия и обновление на нее еще не прошли массовую проверку на разных проектах и могут иметь критические проблемы. Если вы хотите обновить свои проекты в бета режиме, просьба создать тикет в службу поддержки и указать какие домены хотите обновить. Нам может понадобиться 1-2 месяца чтобы завершить бета тестирование и предоставить обновление для публичного скачивания, т.к. нам нужно убедиться что обновление не принесет никаких проблем.

Обратите внимание на специфические требования и ограничения касательно версии KVS 5 и PHP 7:

  1. Ваш текущий PHP 5 должен поддерживать модуль MySQL Improved Extension (mysqli). В 95% случаев он включен, но в вашем случае может отсутствовать.
  2. Если ваш проект без открытого исходного кода, то версия Ioncube должна быть 10.2+.
  3. Если у вас есть кастомные KVS блоки, то они перестанут работать сразу же после обновления. Кастомные блоки должны быть либо удалены из вашего дизайна, либо адаптированы под PHP7 перед обновлением. Для этого свяжитесь с разработчиками, которые их разрабатывали.

Данные требования проверяются плагином обновления KVS; плагин отклонит обновление, если у вас есть несоответствия по требованиям. При наличии кастомных блоков KVS плагин выведет предупреждение.

Что нового в KVS 5.0.1:

Исправлены следующие баги:

  1. Пустая строка в конце данных импорта приводила к зависанию процедуры проверки импорта.
  2. Невозможность создания групп каналов в панели администрирования.
  3. Некорректно работала процедура изменения пароля администратора на сателлитах.
  4. Фиды импорта не обрабатывали некоторые видео галереи.
Новая версия KVS 5.4.0 доступна Оформить заказ